List cached audio entries
List cached TTS audio entries for an agent with metadata including transcript, provider, voice, duration, and hit count.
GET
/
v1
/
agents
/
{agentId}
/
audio-cache
List cached audio entries
curl --request GET \
--url https://api.us.poly.ai/v1/agents/{agentId}/audio-cache \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.us.poly.ai/v1/agents/{agentId}/audio-cache"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.us.poly.ai/v1/agents/{agentId}/audio-cache', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"id": "<string>",
"transcript": "<string>",
"cachedAt": "2023-11-07T05:31:56Z",
"hitCount": 123,
"duration": 123,
"regenerated": true,
"provider": "<string>",
"providerVoiceId": "<string>",
"imported": true,
"audioFilename": "<string>",
"languageCode": ""
}
],
"totalCount": 123
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}Authorizations
Path Parameters
Query Parameters
Max entries to return (1-200)
Required range:
1 <= x <= 200Pagination offset
Required range:
x >= 0Sort expression, e.g. 'hit_count:desc', 'duration:asc'
Last modified on June 9, 2026
Was this page helpful?
Previous
Download cached audio fileDownload the cached audio file as a WAV binary. Returns the raw audio bytes for the given cache entry ID.
Next
⌘I
List cached audio entries

